## php-defuse-php-encryption 2.2.1

=== dist/Makefile ===
# This builds defuse-crypto.phar. To run this Makefile, `box` and `composer`
# must be installed and in your $PATH. Run it from inside the dist/ directory.

box := $(shell which box)
composer := "composer"

.PHONY: all
all: build-phar

.PHONY: sign-phar
sign-phar:
	gpg -u 7B4B2D98 --armor --output defuse-crypto.phar.sig --detach-sig defuse-crypto.phar

# ensure we run in clean tree. export git tree and run there.
.PHONY: build-phar
build-phar:
	@echo "Creating .phar from revision $(shell git rev-parse HEAD)."
	rm -rf worktree
	install -d worktree
	(cd $(CURDIR)/..; git archive HEAD) | tar -x -C worktree
	$(MAKE) -f $(CURDIR)/Makefile -C worktree defuse-crypto.phar
	mv worktree/*.phar .
	rm -rf worktree

.PHONY: clean
clean:
	rm -vf defuse-crypto.phar defuse-crypto.phar.sig

# Inside workdir/:

defuse-crypto.phar: dist/box.json composer.lock
	cp dist/box.json .
	php -d phar.readonly=0 $(box) build -c box.json -v

composer.lock:
	$(composer) install --no-dev

## php-defuse-php-encryption 2.2.0

=== debian/changelog ===
php-defuse-php-encryption (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #878886)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 19 May 2018 02:03:36 +0200

=== debian/control ===
Source: php-defuse-php-encryption
Section: php
Priority: optional
Maintainer: Teckids Debian Task Force <tdtf@lists.teckids.org>
Uploaders: Thorsten Glaser <tg@mirbsd.de>, Dominik George <natureshadow@debian.org>
Build-Depends: debhelper (>= 11~), pkg-php-tools (>= 1.7~)
Standards-Version: 4.1.4
Homepage: https://github.com/defuse/php-encryption
Vcs-Git: https://salsa.debian.org/tdtf-team/php-defuse-php-encryption.git
Vcs-Browser: https://salsa.debian.org/tdtf-team/php-defuse-php-encryption

Package: php-defuse-php-encryption
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}, composer
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: Simple Encryption in PHP
 This is a library for encrypting data with a key or password in PHP.
 .
 What separates this library from other PHP encryption libraries is,
 firstly, that it is secure. The authors used to encounter insecure PHP
 encryption code on a daily basis, so they created this library to bring
 more security to the ecosystem. Secondly, this library is "difficult to
 misuse." Like libsodium, its API is designed to be easy to use in a
 secure way and hard to use in an insecure way.

## php-defuse-php-encryption 2.2.1

=== debian/changelog ===
php-defuse-php-encryption (2.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version (no changes needed).

 -- Dominik George <natureshadow@debian.org>  Sun, 02 Dec 2018 16:45:29 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/-?([^\.\d]+)/\~$1/;tr/A-Z/a-z/ \
https://github.com/defuse/php-encryption/releases \
.*/archive/(?:v|x)?(.+).tar.gz
